* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    border: none;
    outline: none;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

body {
    width: 100%;
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #fff;
    color: #29e;
}

.container {
    width: 40%;
    border-radius: 6px;
    /*box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.3), 3px 3px 3px rgba(0, 0, 0, 0.3), 1px 1px 3px rgba(0, 0, 0, 0.3);*/
    padding: 50px 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.uil-users-alt{
    font-size: 4rem;
    color: #29e;
    text-shadow: 1px 1px 4px #29e, -1px -1px 8px #29e, 2px 2px 5px #29e;
}

h2{
    margin-bottom: 30px;
    width: 100%;
    color: rgb(5, 89, 149);
    font-size: 2rem;

}

.container .right{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 15px;
    padding: 10px 40px;
}

input {
    border: 2px solid #cbdae5;
    padding: 15px;
    font-size: 1.3rem;
    width: 100%;
    color: #666;
    font-weight: 200;
    padding-left: 30px;
    border-radius: 6px;
    transition: all 1s;
    background-color: transparent;
}
.input-box-container{
    width: 100%;
}

.input-box {
    width: 100%;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

.input-box i{
    position: absolute;
    left: 10px;
    color: #29e;
    font-size: 1.1rem;
    transition: all 1s;
}

.input-box  label{
    position: absolute;
    font-size: 17px;
    background: #fff;
    left: 30px;
    transition: top 2s;
}

.input-box input:focus ~ label,
.input-box input:not(.input-box input:placeholder-shown) ~ label{
    top: -12px;
    left: 20px;
}

.input-box-container small{
    visibility: hidden;
    color: #de4e4e;
}

.input-box-container#success small{
    visibility: hidden;
}


.input-box-container#error input{
    border-color: tomato;
    animation: blink 1s  1 linear; 
    
}

.input-box-container#error small{
    visibility: visible;
}


/*.input-box-container#success input{
    border-color: #292;

}*/

.input-box.country-box ul{
    position: absolute;
    bottom: 118%;
    left: 0;
    right: 0;
    box-shadow: 0 0 .3rem .3rem rgba(0, 0, 0, 0.09);
    background: #fff;
    border-radius: 6px;
    max-height: 300px;
    padding: 5px;
    overflow-y: auto;
    display: none;
}

input#country{
    cursor: pointer;
}

.input-box.country-box img{
    width: 50px;
    height: 22px;
    position: absolute;
    left: 0px;
}

.input-box.country-box input{
    padding-left: 40px;
}

/*.input-box.country-box ul::after{
    content: '';
    background: #29e;
    transform: rotate(45deg);
    position: fixed;
    width: 10px;
    height: 10px;
    bottom: -5px;
    left: 0;
}*/

.input-box.country-box ul.active{
    display: block;
}

.input-box.country-box ul li{
    list-style: none;
    padding: 4px 8px;
    cursor: pointer;
}

.input-box.country-box ul li:hover{
    background: #29e;
    color: #fff;
}

.input-box.country-box ul::-webkit-scrollbar{
    width: 5px;
    border-radius: 6px;
}

.input-box.country-box ul::-webkit-scrollbar-track{
    background: #eee;
    border-radius: 5px;
}

.input-box.country-box ul::-webkit-scrollbar-thumb{
    background: #29e;
    border-radius: 6px;
}




@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}




.forgot_pass{
    width: 100%;
    text-align: right;
    cursor: pointer;
    

}

input:focus{
    border-color: #29e;
    
       
}

input:focus ~ i{
    text-shadow: 1px 1px 4px white, -1px -1px 8px white, 2px 2px 5px white;
}


.button{
    width: 100%;
    position: relative;
    margin-top: 20px;
}


button {
    padding: 20px 15px;
    cursor: pointer;
    width: 100%;
    position: relative;
    display: block;
    border-radius: 6px;
    position: relative;
    font-size: 1rem;
    color: #fff;
    background: #29e;
    backdrop-filter: blur(20px);
    font-size: 20px;
    
}

.load{
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.3);
    position: absolute;
    top: 0;
    border-radius: 6px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: none;
    display: none;
}

body.loading .load{
    display: grid;
}

.loader {
    border: 5px solid rgba(0, 0, 0, 0.5);
    border-top-color: #ffffff;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    animation: spin 1.3s linear  infinite ;
    position: absolute;

}

body.loading button{
    cursor: not-allowed;
}

::placeholder{
    color: #ddd;
}

body.loading input{
    cursor: none;
}

.register{
    /*color: #cbdae5;*/
    cursor: pointer;
    font-weight: 900;
    color: #29e;
    text-decoration: none;
}

.error{
    width: fit-content;
    background: transparent;
    color: #fff;
    text-align: center;
    margin-bottom: 10px;
    height: 30px;
    font-weight: 600;
    position: relative;
}

.error .msg{
    padding: 5px 20PX;
    background: #ff2222;
    border-radius: 5px;
    display: none;
    justify-content: center;
    align-items: center;
    gap: 7px;
    height: 100%;
}

.error i
{
    font-size: 1.3rem;
}

.error svg{width: 1.3rem;}


.error.active .msg{
    display: flex;
    animation: blink 1.5s infinite linear;
}

.prompt{
    width: 400px;
    padding: 20px 10px;
    box-shadow: 0 0 .3rem .3rem rgba(0, 0, 0, 0.05);
    position: absolute;
    bottom: 26px;
    left: -100%;
    transition: all 1s;
    backdrop-filter: blur(20px);
    border-radius: 6px;
}

.prompt.active{
    left: 16px;
}

.prompt #error{
    border-color: #ff2222;
}

.prompt .content{
    display: flex;
    align-items: center;
    justify-content: center;
}

.prompt h2{
    font-size: 1rem;
    margin-bottom: 0;
    margin-bottom: 4px;
}

.prompt .bx-x{
    position: absolute;
    top: 20px;
    right: 15px;
    font-size: 1rem;
    cursor: pointer;
}


.prompt p{
    margin-bottom: 15px;
    color: #666;
}

.prompt button{
    width: fit-content;
    margin-left: 8px;
    border-radius: 50%;
    background: transparent;
    color: #ddd;
    font-size: 1.5rem;
    padding: 0;
}

.prompt button:hover{
    color: #29e;
    
}

.prompt .pass-loader{
    width: 100%;
    background: transparent;
    z-index: 10;
    position: absolute;
    backdrop-filter: blur(50px);
    top: 0;
    border-radius: inherit;
    height: 100%;
    left: 0;
    display: none;
    align-items: center;
    justify-content: center;
}

/*===============Verify====================*/
.verify-page{
    display: none;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100vh;
    flex-direction: column;
}


.verify-page .button{
    width: 100%;
    position: relative;
    margin-top: 20px;
}


.verify-page button {
    padding: 15px 10px;
    cursor: pointer;
    width: 100%;
    position: relative;
    display: block;
    border-radius: 6px;
    position: relative;
    font-size: 1rem;
    color: #fff;
    border: 1px solid #fff;
    transition: all .5s;
    background: #29e;
    font-size: 20px;
}

.verify-page h2{
    width: fit-content;
    font-size: 1.8rem;
}

.verify-page .buttons {
    display: flex;
    align-items: center;
    width: fit-content;
    width: 500px;
    gap: 10px;
    margin-top: 20px;
}

.verify-page .load{
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.3);
    position: absolute;
    top: 0;
    border-radius: 6px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: none;
    display: none;
}

.verify-page i{
    font-size: 2.5rem;
    color: #29e;
}

.verify-page .loader {
    border: 5px solid rgba(0, 0, 0, 0.5);
    border-top-color: #ffffff;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    animation: spin 1.3s linear  infinite ;
    position: absolute;

}

.verify-page .buttons button.verify{
    background: rgb(9, 196, 15);

}

.verify-page .buttons button.verify:hover{
    color: rgb(9, 196, 15);
    background: #fff;
    border: 1px solid #eee;
    box-shadow: 0 0 .4rem .4rem rgba(0, 0, 0, 0.09);
}

.verify-page .buttons button.drop{
    background: rgb(196, 9, 15);
}

.verify-page .buttons button.drop:hover{
    color: rgb(196, 9, 15);
    background: #fff;
    border: 1px solid #eee;
    box-shadow: 0 0 .4rem .4rem rgba(0, 0, 0, 0.09);
}

@media (max-width: 1080px) {
    .container{
        width: 80%;
    }
}

@media (max-width: 800px) {
    .container .left h2{
        font-size: 1.4rem;

    }
    .container{
        width: 100%;
    }

    .container .left p{
        font-size: 1rem;
    }
}

@keyframes borderAnimation {
    from{
        border-width: 1px;
    }
    to{
        border: none;
    }
}

@keyframes blink {
    0%{
        box-shadow: 0 0 .3rem .3rem rgba(23, 118, 185, 0.3);
    }
    50%{
        box-shadow: 0 0 .3rem .3rem rgb(5, 89, 149, 0);
    }
    100%{
        box-shadow: 0 0 .3rem .3rem rgba(34, 134, 206, 0.3);
    }
}